
% in calcrelflux code:
%   load eras;  v2(q)=rrvv*v2(q);

wantF=115;     % want this transport (Sv)
pairs=7:16;     % across these pairs ([] for all, 1:15 etc.)
sect='a02_97';
lays=[];	% [] for all, 36:45 for gamma>28.11, etc.


FF=[];

refv=[.1 4];
for i=1:length(refv);
    rrvv=refv(i);
    save eras rrvv;
    if (length(pairs))
        F=calcrelflux(sect,1,-1,0,pairs);
    else
        F=calcrelflux(sect,1,-1,0);
    end;
    if (length(lays))
      FF=[FF;sum(F(lays,1))/1e6];
    else
      FF=[FF;sum(F(:,1))/1e6];
    end;
end;

refv=interp1(FF,refv,wantF);
if (abs(refv)>.1)
    fprintf('  mag fact:  %5.3f\n',refv);
elseif (abs(refv)>.01)
    fprintf('  mag fact:  %5.2fe-2\n',refv*1e2);
else
    fprintf('  mag fact:  %5.2fe-3\n',refv*1e3);
end;

clear all;
