
sections=[ 	'a05int '; ...
		'ar01int'];
geom=[1 -1];

load glevels;
rl=12;	% gamma=27.7
F=NaN*ones(length(glevels)+1,3,size(sections,1));
for i=1:size(sections,1);
   sect=sections(i,:);
   q=find(sect==' ');sect(q)=[];
   eval(['F(:,:,i)=calcrelflux(''', ...
	sect,''',',num2str(geom(i)) ,',', ...
	num2str(rl),',0);']);
end;

stdF=std(F,0,3);
netF=reshape(sum(F,1),[size(F,2) size(F,3)]);
stdF=[stdF;(std(netF,0,2))'];

glev
layerplot(stdF(1:length(glayers),1)/1e6);
hold on;
layerplot(-stdF(1:length(glayers),1)/1e6);
layerplot(mean(F(:,1,:),3)/1e6,'k');
hold off;
set(gca,'xlim',[min(-stdF(:,1)) max(stdF(:,1))]/1e6);
xlabel('Sv');

save 24N F stdF netF
