
% matchvel1.m
%
% add a barotropic correction to minimize
% the least-squared difference between
% V(Z) and a vector v(z) containing
% mean current meter obs.

subplot(122)
if (1)
  v=[18.6 6.4 6.55 4.32  ...
	21.6 9.58 5.8 3.45 ...
	8.48 6.96 10.63];
  thet=[158 166 173 179 ...
	187 184 186 167 ...
	185 192 191];
  z=[269 882 2092 2415 ...	% mooring A4
	263 876 2088 2415 ...   % mooring A1
	861 2063 2415];		% mooring A2
end;

v=v.*cos((thet-186)*2*pi/360);

%q=find(z>500);v=v(q);z=z(q);

V=-100*gvel(:,15);
Z=bin_press;

q=find(isnan(V));V(q)=[];Z(q)=[];

for BT=6:.1:12;
er=0;
for i=1:length(z);
  
  dz=(Z-z(i) ).^2;
  q=find(dz==min(dz));
  er=er+(V(q(1))+BT-v(i)).^2;
end;

plot(BT,er,'o');
hold on;
end;
hold off;

subplot(121);
plot(V,-Z,v,-z,'.')

